﻿<?xml version="1.0" encoding="utf-8"?>
<Application>
  <DisplayInfo Title="Python" Publisher="Python Software Foundation" Version="" ReleaseDate="">
    <UserCategories>
    </UserCategories>
    <SoftwareCategories>
    </SoftwareCategories>
  </DisplayInfo>
  <DeploymentType Title="" Architecture="x64" Technology="Script" DetectionMethod="Script" ContentLocation="\\server01\sources$\Python Software Foundation\Python\archive\{SoftwareVersion}\win_{Architecture}\">
    <UninstallCommand>"Deploy-Application.exe" UNINSTALL</UninstallCommand>
    <InstallCommand>"Deploy-Application.exe" INSTALL</InstallCommand>
    <DetectionScript RunAs32Bit="False" Language="PowerShell">
      <TEXT>$DisplayName = '{DetectionName}'
$DisplayVersion = [version]'{DetectionVersion}'
$Architecture = '{Architecture}'
$DetectionRegPath = '{DetectionRegPath}'
$RegKey = Get-ChildItem -Path $DetectionRegPath | Where-Object {$_.GetValue('DisplayName') -like "$DisplayName*"}

foreach($Key in $RegKey) {
	if([version]$Key.GetValue('DisplayVersion') -ge $DisplayVersion) {
        return $true
    }
}</TEXT>
    </DetectionScript>
	<Custom>
		<DetectionVersionLogic TargetItem="Installer" TargetItemPath="\\server01\sources$\Python Software Foundation\Python\archive\{SoftwareVersion}\win_{Architecture}\Files\*.exe" TargetItemType="EXE" TargetItemProperty="ProductVersion"/>
	</Custom>
  </DeploymentType>
</Application>